mongodb-user
[Arriba] [Todas las Listas]

[mongodb-Usuario] Re: Es allí una manera de cambiar _ITERATOR_DEPURAR_N

To: mongodb-user <mongodb-user@xxxxxxxxxxxxxxxx>
Subject: [mongodb-Usuario] Re: Es allí una manera de cambiar _ITERATOR_DEPURAR_NIVEL=2 a =0 cuando compiling el libmongocxx en Ventanas (estudio visual 14)
From: William Bouchard <eldereth.bouchard@xxxxxxxxx>
Date: Sat, 5 Aug 2017 05:30:28 -0700 (PDT)
Delivery-date: Sat, 05 Aug 2017 08:30:38 -0400
Dkim-signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=googlegroups.com; s=20161025; h=sender:date:from:to:message-id:in-reply-to:references:subject :mime-version:x-original-sender:reply-to:precedence:mailing-list :list-id:list-post:list-help:list-archive:list-subscribe :list-unsubscribe; bh=fPJxDGBZaZjN9+q92zAnNE2uwfjKwwBSAytUuiwh7bw=; b=DR+xg44zb1lMq2ivbINLjsUgp/BJz4FVzkI1+iaBhwkB4/Y6LF9cDFv99CFdeM4Ps6 wHWYDkEINi+JEYTQmCVoOm2sUAGe5NbHtbFL3q44BFtN80XGr4aOLZwMrvJ5H8ukj+9h zviHMeLWG2WtEkwCrMOIwaQwAj8fDSVyyf4NTo1UQKI2Dln5IpIXTM1j4sdyh8+ULxQl Da645G+L9zEbPjXbleHu0dLyAKSyEIlsID/S7c4GGfrWZDfUwUVh9XSBY+c5dfw/JBrW DhxhBEkzWHTfzPysuhj1IhW+NjWA9bkUW3LnqrBEL+0SrWgEq/JuPFh41oLPNcGvol5A YqUQ==
Dkim-signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025; h=date:from:to:message-id:in-reply-to:references:subject:mime-version :x-original-sender:reply-to:precedence:mailing-list:list-id :list-post:list-help:list-archive:list-subscribe:list-unsubscribe; bh=fPJxDGBZaZjN9+q92zAnNE2uwfjKwwBSAytUuiwh7bw=; b=nCujmVbOqszguGdcks+nEjbfKzwuFMJkbsShUALvDFv77jWcjxW/N9uFdYeZSptQ6v oILkhj10d0Q1YEjkGKKwdUTyEgUvC1xdwyq5orLEtEKqT7KrBJDmepgJOFWD2c32aIS5 xj/C2rePeqoMzkXfSx3AyiTkMc0YFGTFqsIbUht1jStGtTS70vk0g26ruya4RBuXbF+b FkFSkf+ybPszZkcltjhB0VznwjfrVz+xGfH+xzM3/rZKppsUw9Y1P3O3NC2rlFOT9che TreCERgz7yVtPWhc4N70m1Z6CM5wRe2xlx178SSTACCLwSNyPQw4FNZJdEMrQY5i7d6M l2uA==
Envelope-to: traductor@xxxxxxxxxxx
In-reply-to: <cf85f941-97c0-44db-9318-371f67da487e@googlegroups.com>
List-archive: <https://groups.google.com/group/mongodb-use>
List-help: <https://groups.google.com/support/>, <mailto:mongodb-user+help@googlegroups.com>
List-id: <mongodb-user.googlegroups.com>
List-post: <https://groups.google.com/group/mongodb-user/post>, <mailto:mongodb-user@googlegroups.com>
List-subscribe: <https://groups.google.com/group/mongodb-user/subscribe>, <mailto:mongodb-user+subscribe@googlegroups.com>
List-unsubscribe: <mailto:googlegroups-manage+1044811755470+unsubscribe@googlegroups.com>, <https://groups.google.com/group/mongodb-user/subscribe>
Mailing-list: list mongodb-user@xxxxxxxxxxxxxxxx; contact mongodb-user+owners@xxxxxxxxxxxxxxxx
References: <9be2dd45-f729-4100-8a17-5c097df4265f@googlegroups.com> <e0655156-4257-411a-a493-2f2d3f7b44ee@googlegroups.com> <e70eb32f-3a5b-4c3f-8e07-6d66e7f83c3a@googlegroups.com> <cf85f941-97c0-44db-9318-371f67da487e@googlegroups.com>
Reply-to: mongodb-user@xxxxxxxxxxxxxxxx
Sender: mongodb-user@xxxxxxxxxxxxxxxx
*Hi,

*Sorry para mi tiempo fuera, soy atrás en este problema.
Tan, eras bien, era *compiling *libbson y *libmongoc en Depurar modo 
en vez de Liberación.
Aquello corrigió el error, pero conseguía algún nuevo unos.

Conseguía más que 2000 error así uno : error *LNK2001: *unresolved 
símbolo externo __*imp_*mongoc_leyó_*prefs_nuevo
exactamente gustar en este tema: 
*https://grupos.*google.*com/*d/*msg/*mongodb-Usuario/*iUaqAMScXMM/*vGGMXoqWDQAJ.

Probé con el *mongo-*c-versión de conductor 1.7 y 1.6.3, pero cambia 
nada.
Quizás tienes una idea ?

*Thanks Para ayudar :)






En lunes, julio 10, 2017 en 7:15:44 PM *UTC+2, Sam *Rossi escribió:
>
> Justo para hacer seguro, has *compiled *libbson y *libmongoc en modo de liberación 
> también?
>
> En lunes, julio 10, 2017 en 9:43:51 SOY *UTC-4, William *Bouchard escribió:
>>
>> *Thank te para vuestra respuesta.
>>  Parece que incluso si yo *compile el *mongocxx y *bsoncxx *static *libs en 
>> modo de Liberación *via *CMake, el depurar el nivel es puesto a 2, mientras en mi proyecto, 
>> el depurar el nivel es puesto a 0.
>>
>>
>>
>> En jueves, julio 6, 2017 en 7:31:49 PM *UTC+2, Sam *Rossi escribió:
>>>
>>> *Hi William! Pienso que esto es un Estudio Visual que pone, no una configuración 
>>> de conductor. De mirar en otros casos donde las personas han tenido el mismo 
>>> problema, mira el depurar el nivel es puesto a 2 puesto que depurar complexiones y 0 
>>> puesto que complexiones de liberación 
>>> <*https://foros.*autodesk.*com/*t5/*fbx-foro/*iterator-depurar-nivel-valor-2-*doesn-*t-partido-valor-0-dentro-*xxx-*obj/*td-*p/5785887>. 
>>> Lo es posible te *compiled *libmongocxx y *libbsoncxxx es un modo diferente 
>>> (depura *vs. Liberación) que vuestra aplicación propia?
>>>
>>> En miércoles, julio 5, 2017 en 5:58:01 PM *UTC-4, William *Bouchard escribió:
>>>>
>>>> Hola,
>>>>
>>>> Cuando dije en el tema estoy buscando una manera de cambiar 
>>>> el _*ITERATOR_DEPURA_NIVEL de 2 a 0 en el *static versión de *libmongocxx 
>>>> y *libbsoncxx.
>>>>
>>>> La razón es estoy utilizando este *lib en Motor Irreal 4 y estoy consiguiendo 
>>>> esta clase de error:
>>>>
>>>>  Error *libbsoncxx.*lib : Error *LNK2038: *mismatch detectó puesto que 
>>>> '_*ITERATOR_DEPURA_NIVEL': valor '2' no empareja valor '0' en 
>>>> *SharedPCH.Motor.*h.*obj
>>>>  Error *libmongocxx.*lib : Error *LNK2038: *mismatch detectó puesto que 
>>>> '_*ITERATOR_DEPURA_NIVEL': valor '2' no empareja valor '0' en 
>>>> *SharedPCH.Motor.*h.*obj
>>>>
>>>> Es allí una manera de hacer aquello?
>>>>
>>>

-- 
Recibiste este mensaje porque eres *subscribed al *Google Grupos "*mongodb-grupo"
de usuario.

Para otro *MongoDB opciones de apoyo técnico, ve: *https://*docs.*mongodb.*com/Apoyo/manual/
--- 
recibiste este mensaje porque eres *subscribed al *Google Grupos "*mongodb-grupo" de usuario.
A *unsubscribe de este grupo y la parón que recibe *emails de él, enviar un *email a *mongodb-usuario+unsubscribe@xxxxxxxxxxxxxxxx.
A correo a este grupo, envía *email a *mongodb-user@xxxxxxxxxxxxxxxx.
Visita este grupo en *https://grupos.*google.*com/Grupo/*mongodb-usuario.
Para ver esta discusión en la visita de web *https://grupos.*google.*com/*d/*msgid/*mongodb-Usuario/*e2*e46*f10-*f072-48*b3-#uno5*ae-2*dd0*bb1*f4*f09%40*googlegroups.*com.
Para más opciones, visita *https://grupos.*google.*com/*d/*optout.
Hi,

Sorry for my time away, I'm back on this problem.
So, you were right, I was compiling libbson and libmongoc in Debug mode 
instead of Release.
That did correct the error, but I got some new ones.

I got more than 2000 error like this one : error LNK2001: unresolved 
external symbol __imp_mongoc_read_prefs_new
exactly like in this subject: 
https://groups.google.com/d/msg/mongodb-user/iUaqAMScXMM/vGGMXoqWDQAJ.

I tried with the mongo-c-driver version 1.7 and 1.6.3, but it changes 
nothing.
Maybe you have an idea ?

Thanks for helping :)






On Monday, July 10, 2017 at 7:15:44 PM UTC+2, Sam Rossi wrote:
>
> Just to make sure, you've compiled libbson and libmongoc in release mode 
> as well?
>
> On Monday, July 10, 2017 at 9:43:51 AM UTC-4, William Bouchard wrote:
>>
>> Thank you for your answer.
>>  It seems that even if I compile the mongocxx and bsoncxx static libs in 
>> Release mode via CMake, the debug level is set to 2, while in my project, 
>> the debug level is set to 0.
>>
>>
>>
>> On Thursday, July 6, 2017 at 7:31:49 PM UTC+2, Sam Rossi wrote:
>>>
>>> Hi William! I think this is a Visual Studio setting, not a driver 
>>> configuration. From looking at other instances where people have had the 
>>> same problem, it looks the debug level is set to 2 for debug builds and 
>>> 0 for release builds 
>>> <https://forums.autodesk.com/t5/fbx-forum/iterator-debug-level-value-2-doesn-t-match-value-0-in-xxx-obj/td-p/5785887>. 
>>> Is it possible you compiled libmongocxx and libbsoncxxx is a different mode 
>>> (debug vs. release) than your own application?
>>>
>>> On Wednesday, July 5, 2017 at 5:58:01 PM UTC-4, William Bouchard wrote:
>>>>
>>>> Hello,
>>>>
>>>> As I said in the subject I'm looking for a way to change 
>>>> the _ITERATOR_DEBUG_LEVEL from 2 to 0 in the static version of libmongocxx 
>>>> and libbsoncxx.
>>>>
>>>> The reason is I'm using this lib in Unreal Engine 4 and I'm getting 
>>>> this kind of error:
>>>>
>>>>  Error libbsoncxx.lib : error LNK2038: mismatch detected for 
>>>> '_ITERATOR_DEBUG_LEVEL': value '2' doesn't match value '0' in 
>>>> SharedPCH.Engine.h.obj
>>>>  Error libmongocxx.lib : error LNK2038: mismatch detected for 
>>>> '_ITERATOR_DEBUG_LEVEL': value '2' doesn't match value '0' in 
>>>> SharedPCH.Engine.h.obj
>>>>
>>>> Is there a way to do that?
>>>>
>>>

-- 
You received this message because you are subscribed to the Google Groups "mongodb-user"
group.

For other MongoDB technical support options, see: https://docs.mongodb.com/manual/support/
--- 
You received this message because you are subscribed to the Google Groups "mongodb-user" group.
To unsubscribe from this group and stop receiving emails from it, send an email to mongodb-user+unsubscribe@xxxxxxxxxxxxxxxx.
To post to this group, send email to mongodb-user@xxxxxxxxxxxxxxxx.
Visit this group at https://groups.google.com/group/mongodb-user.
To view this discussion on the web visit https://groups.google.com/d/msgid/mongodb-user/e2e46f10-f072-48b3-a5ae-2dd0bb1f4f09%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
<Anterior por Tema] Tema Actual [Siguiente por Tema>